use askama::Template;
use axum::response::Html;

use crate::common::err::{AppError, log_error};
use crate::common::response::HtmlResponse;
use crate::common::Result;

/// 渲染模板
pub fn render<T: Template>(tpl: T, handler_name: &str) -> Result<HtmlResponse> {
    let out = tpl
        .render()
        .map_err(AppError::from)
        .map_err(log_error(handler_name))?;
    Ok(Html(out))
}
